#ifndef NODE_H
#define NODE_H

#include <Indoor/grid/Grid.h>
#include <Indoor/sensors/radio/WiFiGridNode.h>

struct MyGridNode : public GridNode, public GridPoint, public WiFiGridNode<20> {

	float navImportance;
	float getNavImportance() const { return navImportance; }

	float walkImportance;
	float getWalkImportance() const { return walkImportance; }


	/** empty ctor */
	MyGridNode() : GridPoint(-1, -1, -1) {;}

	/** ctor */
	MyGridNode(const int x_cm, const int y_cm, const int z_cm) : GridPoint(x_cm, y_cm, z_cm) {;}


	static void staticDeserialize(std::istream& inp) {
		WiFiGridNode::staticDeserialize(inp);
	}

	static void staticSerialize(std::ostream& out) {
		WiFiGridNode::staticSerialize(out);
	}

};

#endif // NODE_H
